{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des types d'annexes de mon entité" %}

{% block pageActions %}
    <br>

    {{ macro.dissocierMultipleButtonModal(
        'btn_dissociation',
        'Dissocier un ou plusieurs type(s) d\'annexe de l\'entité',
        'app_typage_dissociation_multiple',
        'Voulez-vous vraiment dissocier les différents types d\'annexe de l\'entité ?',
        typages.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th scope="col">
                <input id="allCheckbox" type="checkbox"/>
            </th>
            <th scope="col">Libelle</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        {% for typage in typages %}
            <tr>
                <th>
                    {% if (app.user.currentOrganisation not in typage.organisations)  %}
                        {% set dissociation = 'false' %}
                    {% else %}
                        {% set dissociation = 'true' %}
                    {% endif %}

                    <input id='checkbox-{{ typage.id }}' type="checkbox"
                           class="js-checkbox allCheckbox" value="{{ typage.id }}"
                           data-dissociation="{{ dissociation }}">
                </th>

                <th>
                    {{ typage.name }}
                </th>

                <th>
                    {{ macro.dissocierButtonModal(
                        typage.id,
                        'Dissociation du type d\'annexe de l\'entité',
                        'app_typage_dissociation',
                        'Voulez-vous vraiment dissocier ce type d\'annexe ?',
                        typages.currentPageNumber
                    ) }}
                </th>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(typages) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
